// definitions
$bg: #ecf0f3;
$grey: #d1d9e6;
$white: #f9f9f9;
$winner: #3dbb3d;

@mixin space($prop) {
	#{$prop}: 12px;
	@media (min-width: 400px) {
		#{$prop}: 3vw;
	}
	@media (min-width: 1000px) {
		#{$prop}: 30px;
	}
}


// global
body {
	margin: 0;

	background: $bg;
	font-family: 'Montserrat', sans-serif;
	font-size: 16px;
	font-weight: 400;

	main {
		border-radius: 12px;
		box-shadow:
			10px 10px 10px $grey,
			-10px -10px 10px $white;
	}
}


// layout
body {
	min-height: 100vh;

	display: flex;
	align-items: center;
	justify-content: space-around;

	main {
		@include space(margin);
		flex: 0 1 800px;

		section {
			display: block;

			margin: 30px 0;
			@include space(margin-left);
			@include space(margin-right);
		}
	}
}


// form
form {
	input {
		border: 1px solid $grey;
		outline: none;

		font: inherit;
	}
}


// home view
section.home {
	div.cat,
	div.dog {
		margin-bottom: 15px;
	}

	form {
		padding: 30px 0;
		@include space(padding-left);
		@include space(padding-right);

		border: 1px solid $grey;
		text-align: center;

		// animate winner
		transition: 0.5s;
		&.winner {
			background-color: $winner;
		}

		// title
		span {
			font-size: 24px;
		}

		// force inputs in one line
		div {
			display: flex;
			margin-top: 30px;

			input {
				&[name="name"] {
					flex: 1 0 1px;
					padding: 5px 0;
					text-align: center;

					width: 0; // quickfix
				}
				&[type="submit"] {
					margin-left: 10px;
					flex: 0 0 1px;
					padding: 5px 15px;
				}
			}
			&.error {
				color: red;
			}

		}
	}
	ol {
		margin: 30px 0 0 0;
		@include space(padding-left);

		li {
			margin-top: 10px;
		}
	}

	// move both boxes side by side
	@media (min-width: 600px) {
		display: flex;
		justify-content: space-between;

		div.cat,
		div.dog {
			flex: 1 0 1px;
			margin-bottom: 0;
		}
		div.dog {
			@include space(margin-left);
		}
	}
}
